<?php
defined('TYPO3') or die();

\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\Ig\IgContainer\Tca\Registry::class)->configureContainerWithPaletteHeaders(
    (
        new \B13\Container\Tca\ContainerConfiguration(
            'container-iggalerie', 
            'Galerie, Slider',
            'Flexible(r) Galerie, Tabber, Slider',
            [
                [
                    ['name' => 'Medien', 'colPos' => 10],
                ]
            ]
        )
    )
    ->setIcon('EXT:ig_container/Resources/Public/Icons/Container/container-iggalerie.svg')
    ->setSaveAndCloseInNewContentElementWizard(false)
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('*', 'FILE:EXT:ig_container/Configuration/FlexForms/container-iggalerie.xml', 'container-iggalerie');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes ( 'tt_content', 'pi_flexform;;;;1-1-1,', 'container-iggalerie', 'after:header' );
